# -*- coding: utf-8 -*-

from django.conf.urls import url

from account import oauth_views
from config import hot_views
from intro import fav_views, intro_views
from message import msg_views
from support import views as support_views


urlpatterns = [
    url(r'^wx/authorize$', oauth_views.user_wx_authorize_api, name='user_wx_authorize_api'),  # 微信用户授权
]

urlpatterns += [
    url(r'^intro/list$', intro_views.intro_list_api, name='intro_list_api'),  # 说明书列表

    url(r'^intro/name/info$', intro_views.intro_name_info_api, name='intro_name_info_api'),  # 说明书名称详情

    url(r'^intro/query$', intro_views.intro_query_api, name='intro_query_api'),  # 说明书搜索

    url(r'^intro/fav$', fav_views.intro_fav_api, name='intro_fav_api'),  # 说明书收藏
    url(r'^intro/fav/list$', fav_views.intro_fav_list_api, name='intro_fav_list_api'),  # 说明书收藏列表
]

urlpatterns += [
    url(r'^msg/list$', msg_views.msg_list_api, name='msg_list_api'),  # 消息列表
]

urlpatterns += [
    url(r'^hot/recommend/list$', hot_views.hot_recommend_list_api, name='hot_recommend_list_api'),  # 热门推荐列表
    url(r'^hot/query/list$', hot_views.hot_query_list_api, name='hot_query_list_api'),  # 热门搜索列表
]

urlpatterns += [
    url(r'^support/info$', support_views.support_info_api, name='support_info_api'),  # 支持预约信息
    url(r'^support/prebook$', support_views.support_prebook_submit_api, name='support_prebook_submit_api'),  # 支持预约提交
]
